#
# spec file for package dateutils


Name:           dateutils
Version:        0.4.1
Release:        %mkrel 1
Summary:        Nifty command line date and time utilities
License:        BSD-3-Clause
Group:          Sciences/Mathematics
Url:            https://github.com/hroptatyr/dateutils/
Source:         https://bitbucket.org/hroptatyr/dateutils/downloads/%{name}-%{version}.tar.xz
BuildRequires:  timezone
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Dateutils are a bunch of tools that revolve around fiddling with dates
and times in the command line with a strong focus on use cases that
arise when dealing with large amounts of financial data. Their target
market is shell scripts that need date calculations or calendar
conversions, and as such they are highly pipe-able and modeled after
their well-known cousins (e.g. dtest vs. test, or dgrep vs. grep).

%prep
%setup -q

%build
autoreconf -i
%configure2_5x prefix=/usr --docdir=%{_docdir}/%{name}
make V=1

%install
rm -rf %buildroot
%makeinstall_std
rm -f %{buildroot}%{_infodir}/dir

#dont need development files
rm -rf %buildroot/%{_includedir}
rm -f %buildroot/{_libdir}/libdut.a
rm -rf %buildroot/%{_libdir}/pkgconfig


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}
%doc %{_infodir}/%{name}.info*
%{_bindir}/*
%{_mandir}
%{_datadir}/dateutils/locale

%changelog
* Tue Oct 23 2018 adrianomorselli <adrianomorselli> 0.4.1-1uplos2018
- imported for uplos
